package zero1hd.polyjet.entity;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.utils.Array;

public class CollisionDetector {
	Array<Entity> firstGroup;
	Array<Entity> secondGroup;
	
	private boolean debug = true;
	
	public CollisionDetector(Array<Entity> firstGroup, Array<Entity> secondGroup) {
		this.firstGroup = firstGroup;
		this.secondGroup = secondGroup;
	}
	
	public void collisionCheck() {
		if (debug) {
			Gdx.app.debug("collision check", "First group size: " + firstGroup.size);
			Gdx.app.debug("collision check", "Second group size: " + secondGroup.size);			
		}
		
		
		for (int firstEID = 0; firstEID < firstGroup.size; firstEID++) {
			for (int secondEID = 0; secondEID < secondGroup.size; secondEID++) {
				if (firstGroup.get(firstEID).getHitZone().overlaps(secondGroup.get(secondEID).getHitZone())) {
					firstGroup.get(firstEID).collided(secondGroup.get(secondEID));
					secondGroup.get(secondEID).collided(firstGroup.get(firstEID));
				}
			}
		}
	}
}
